@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  color: #FBFBFB;
  background-color: #6a1b9a;
  background: -webkit-radial-gradient(25px 25px, circle, #6a1b9a, #4a148c);
  background: -moz-radial-gradient(25px 25px, circle, #6a1b9a, #4a148c);
  background: radial-gradient(25px 25px, circle, #6a1b9a, #4a148c);
  font-family: "Roboto", sans-serif;
  width: 100vw;
  height: 100vh;
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem;
}

.contest {
  font-size: 1.5rem;
}

.result {
  display: flex;
  justify-content: space-around;
  align-items: center;
  font-size: 2rem;
  font-weight: bold;
  margin-top: 2rem;
}

.ball {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #FBFBFB;
  width: 5rem;
  height: 5rem;
  font-size: 2rem;
  margin: 0 1rem;
  border-radius: 50%;
  background: -webkit-radial-gradient(25px 25px, circle, #0065B7, #00233f);
  background: -moz-radial-gradient(25px 25px, circle, #0065B7, #00233f);
  background: radial-gradient(25px 25px, circle, #0065B7, #00233f);
}

.logo {
  width: 250px;
  filter: drop-shadow(2px 2px 1px #FBFBFB);
  margin: 1rem 0;
}

.date {
  font-size: 1.2rem;
}

.winners {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-top: 2rem;
}

.accumulated {
  font-size: 2rem;
  text-transform: uppercase;
}

.value {
  font-size: 1.3rem;
  margin-top: 0.5rem;
}

.search {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

.search label {
  margin-right: 10px;
  font-weight: bold;
}

.search input[type="text"] {
  width: 100px;
  padding: 8px;
  border-radius: 5px;
  border: 1px solid #ccc;
  font-size: 16px;
}

.search button {
  padding: 8px 20px;
  border: none;
  border-radius: 5px;
  background-color: #007bff;
  color: #fff;
  font-size: 16px;
  margin-left: 20px;
  cursor: pointer;
}

.search button:hover {
  background-color: #0056b3;
}

.errorMessage {
  font-size: 1rem;
  font-weight: 400;
  margin-top: 1rem;
  color: #ff1515;
}

@media screen and (max-width: 675px) {
  .ball {
    width: 3rem;
    height: 3rem;
    font-size: 1rem;
    margin: 0 0.5rem;
  }
}

@media screen and (max-width: 400px) {
  .ball {
    width: 2.8rem;
    height: 2.8rem;
    font-size: 1rem;
    margin: 0 0.2rem;
  }

  .contest {
    font-size: 1.5rem;
  }

  .result {
    font-size: 1rem;
    margin-top: 1rem;
  }

  .accumulated {
    font-size: 1.5rem;
  }

  .winners {
    margin-top: 1rem;
  }

  .value {
    font-size: 1rem;
    margin-top: 0.8rem;
  }

  .search label {
    font-size: 0.8rem;
  }
}
